> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Start Translation Call

> Tenant-scoped voice call operation for starting outbound AI calls or coordinating Twilio call setup.

Tenant-scoped voice call operation for starting outbound AI calls or coordinating Twilio call setup.

### Request body

`TranslationCallRequest`

<ParamField body="from" type="string,null" />

<ParamField body="language_a" type="string" />

<ParamField body="language_b" type="string" />

<ParamField body="participant_a" type="string" required />

<ParamField body="participant_b" type="string" required />

### Response

`TranslationCallResponse`

<ResponseField name="error" type="string,null" />

<ResponseField name="ok" type="boolean" required />

<ResponseField name="participant_a_call_sid" type="string,null" />

<ResponseField name="participant_b_call_sid" type="string,null" />

<ResponseField name="room_id" type="string" required />

### Status codes

| Code  | Meaning                                                  |
| ----- | -------------------------------------------------------- |
| `200` | Two outbound translation call legs were queued           |
| `400` | Invalid request                                          |
| `401` | Unauthorized                                             |
| `502` | Twilio call setup failed                                 |
| `503` | Required Twilio or stream-token configuration is missing |

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://api.voice.stateset.com/api/v1/voice/translation-calls' \
    --header 'Authorization: Bearer YOUR_API_KEY' \
    --header 'Content-Type: application/json' \
    --data '{
    "from": "+15551234567",
    "language_a": "en",
    "language_b": "es",
    "participant_a": "+15551230001",
    "participant_b": "+15551230002"
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "error": "Twilio not configured",
    "ok": true,
    "participant_a_call_sid": "CA123",
    "participant_b_call_sid": "CA456",
    "room_id": "8f1f7d28-0ea9-4531-95d7-8d8f0fd72516"
  }
  ```
</ResponseExample>
